./security/ruby-rex-text, Ruby Exploitation methods for text manipulation

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.2.28, Package name: ruby26-rex-text-0.2.28, Maintainer: minskim

rex-text contains all of the Ruby Exploitation (Rex) methods for text
manipulation and generation.


Required to run:
[lang/ruby26-base]

Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: 74d334aaf1c765303ce73add30afe9b20ef6e67a
RMD160: 770630b38382521ae76c89f13b988c36f321812f
Filesize: 46 KB

Version history: (Expand)


CVS history: (Expand)


   2020-09-14 16:12:20 by Takahiro Kambe | Files touched by this commit (3) | Package updated
Log message:
security/ruby-rex-text: update to 0.2.28

Update ruby-rex-text package to 0.2.28.

0.2.27 (2020-07-13)

* Set prompt escape chars only when they work.

0.2.28 (2020-08-07)

* Add initial support for word wrapping rex tables.
   2020-06-07 16:54:54 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
security/ruby-rex-text: update to 0.2.26

Update ruby-rex-text to 0.2.26.

No release note nore changes is available.
   2018-09-23 20:00:00 by Takahiro Kambe | Files touched by this commit (3) | Package updated
Log message:
security/ruby-rex-text: update to 0.2.21

0.2.17 (2018-02-09)

* Land #9, remove use of 'fun' keyword
* Land #10, add rand_country

0.2.18 (2018-04-12)

* Land #11, ranges for rand_base and rand_text_*

0.2.19 (2018-04-18)

* Land #13, add text encryption / encoding wrappers

0.2.20 (2018-04-18)

* Land #14, remove RC4/SHA256 support
* Land #12, bump ruby deps

0.2.21 (2018-06-13)

* Land #16, simplify shuffle_a implementation
* Land #17, speedup to_mixed_case_array
* Land #18, use single regular expression for strict case
* Land #19, remove unnecessary gsub regex to remove newline
* Land #21, add SHA2 digest wrappers
   2018-03-21 14:18:04 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
security/ruby-rex-text: update to 0.2.16

0.2.16						2017/05/12

* update spec to require Ruby 2.2.0 or greater
   2017-09-29 18:25:43 by Min Sik Kim | Files touched by this commit (4)
Log message:
security/ruby-rex-text: Import version 0.2.15

rex-text contains all of the Ruby Exploitation (Rex) methods for text
manipulation and generation.